# Uses of Interface
org.eclipse.team.core.ICacheListener

Packages that use ICacheListener
Package
Description
org.eclipse.team.core
Application programming interfaces for defining and working with repository providers.

## Uses of ICacheListener in org.eclipse.team.core

Methods in org.eclipse.team.core with parameters of type ICacheListener
Modifier and Type
Method
Description
`void`
ICache.`addCacheListener(ICacheListener listener)`
Add a listener to the cache that will receive notification when the cache is disposed.
`void`
ICache.`removeCacheListener(ICacheListener listener)`
Remove the listener.
`void`
ICache.`removeDisposeListener(ICacheListener listener)`
Deprecated.
use `ICache.removeCacheListener(ICacheListener)`